ata_sg_setup
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_sg_setup — DMA-map the scatter-gather table associated with a command.

## Synopsis

`int ata_sg_setup (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  Command with scatter-gather table to be mapped.

## Description

DMA-map the scatter-gather table associated with queued_cmd `qc`.

## LOCKING

spin_lock_irqsave(host lock)

## RETURNS

Zero on success, negative on error.

Prev | Up | Next
ata_sg_setup_one | Home | swap_buf_le16